Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Insight Monitors

getRun

GET /agent_insight_monitors/{monitor_id}/runs/{run_id}

Get an Agent Insights run.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

AgentInsights=V1Preview

Path parameters

monitor_id string required

The identifier of the monitor.

run_id string required

The identifier of the run.

Query parameters

api-version string required

The API version to use for this operation.

Responses

The request has succeeded.

Body

Content-Type: application/json
id string required

Server-assigned unique identifier.

inputs AgentInsightRunCreate

Inputs used when creating an agent insight run.

lookback_hours number

Optional finite positive number of hours of trace history to analyze, up to 2,160. Defaults to 168.

result AgentInsightRunResult

Result statistics produced when an agent insight run succeeds.

traces_in_window integer required

The number of traces in the analyzed time window.

traces_analyzed integer required

The number of traces analyzed by the run.

insights_created integer required

The number of insights created by the run.

insights_updated integer required

The number of insights updated by the run.

insights_reopened integer required

The number of insights reopened by the run.

token_usage AgentInsightTokenUsage required

Token usage for an Agent Insights run.

input_tokens integer required

The number of input tokens used by the run.

output_tokens integer required

The number of output tokens used by the run.

cached_tokens integer

The number of input tokens served from cache.

total_tokens integer required

The total number of tokens used by the run.

status string | enum required

Extensible status values shared by Foundry jobs.

Any of the following:
string
enum
queuedin_progresssucceededfailedcancelled
error OpenAI.Error
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object
monitor_id string required

The Agent Insights monitor this run belongs to.

agent_name string required

The agent whose traces are analyzed by this run.

trigger string | enum required

The trigger that started an agent insight run.

Any of the following:
string
enum
on_demandscheduled
created_at integer required
updated_at integer required
window_start integer required
window_end integer required
started_at integer
completed_at integer
model_deployment_name string required

The model deployment used to analyze traces for this run.

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

GET /agent_insight_monitors/{monitor_id}/runs/{run_id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026